API open badge Help

Earners Lists

Create an Earners List

Creates a new Earners List

POST

/api/v1/issuers/organization/earners_lists

{ "name": "S Courses Students", "description": "This is a new earners list", "status": "enabled", "type": "list", "earners": [ { "recipient_first_name": "Vercy", "recipient_last_name": "One", "recipient_email": "newemailss.z@open-badge.eu" }, { "recipient_first_name": "Mary", "recipient_last_name": "Bary", "recipient_email": "newemailss.f@open-badge.eu" } ] }
{ "data": { "id": "c768e223-3d35-49d7-b1da-4111c119da8e", "name": "See Courses Students", "description": "This is a new earners list", "status": "enabled", "type": "list", "earners": [ { "id": "c0b0d809-0a6f-462a-877d-d378feef92bd", "recipient_email": "newemailss.z@open-badge.eu", "recipient_first_name": "Vercy", "recipient_last_name": "One", "metadata": null, "created_at": "2024-10-01T11:35:52.000000Z", "updated_at": "2024-10-01T11:35:52.000000Z", "email_verified_at": null }, { "id": "f2705a11-9101-4441-9d63-d59f8d28adc4", "recipient_email": "newemailss.f@open-badge.eu", "recipient_first_name": "Mary", "recipient_last_name": "Bary", "metadata": null, "created_at": "2024-10-01T11:35:52.000000Z", "updated_at": "2024-10-01T11:35:52.000000Z", "email_verified_at": null } ], "created_at": "2024-10-01T11:35:52.000000Z", "updated_at": "2024-10-01T11:35:52.000000Z" } }

Update an Earners List

Updates the basic information of an existing Earners List.

PUT

/api/v1/issuers/organization/earners_lists/{earners_list_id}

For the update pass only values for the specific fields that should be updated.

Accepted values are:

  • name: Filter by name (e.g., first list).

  • description: Filter by description (e.g., test list).

  • type: Retrieve by type (e.g., list).

  • status: Filter by status (e.g., enabled).

{ "data": { "id": "73cc02f1-3173-4e49-b4ba-a6e76bda108f", "name": "Students Culinary 2024", "description": "Facilitated in Paris", "status": "enabled", "type": "list", "earners": [ { "id": "097311b3-64b8-474a-a54a-785e2c4fa576", "recipient_email": "john_carrot@open-badge.eu", "recipient_first_name": "Smith", "recipient_last_name": "John", "metadata": { "Mark": 4 }, "created_at": "2024-09-16T15:22:00.000000Z", "updated_at": "2024-09-16T15:22:00.000000Z", "email_verified_at": null }, { "id": "58cdf6f8-408d-4827-917e-e534101c63c8", "recipient_email": "michael_spinach@open-badge.eu", "recipient_first_name": "Davis", "recipient_last_name": "Michael", "metadata": { "Mark": 3 }, "created_at": "2024-09-16T15:22:00.000000Z", "updated_at": "2024-09-16T15:22:00.000000Z", "email_verified_at": null }, { "id": "80abab96-327d-4cf0-ad2b-01ce983043ad", "recipient_email": "emily_broccoli@open-badge.eu", "recipient_first_name": "Johnson", "recipient_last_name": "Emily", "metadata": { "Mark": 5 }, "created_at": "2024-09-16T15:22:00.000000Z", "updated_at": "2024-09-16T15:22:00.000000Z", "email_verified_at": null } ], "created_at": "2024-09-16T15:22:00.000000Z", "updated_at": "2024-09-16T15:29:21.000000Z" } }

Retrieve an Earners List details

Retrieves the details of the Earners List by its ID

GET

/api/v1/issuers/organization/earners_lists/{earners_list_id}

{ "data": { "id": "0df81a0a-2824-4cda-bcbe-ffae51047c8a", "name": "15july", "description": "test", "status": "enabled", "type": "list", "earners": [ { "id": "0988fe12-1853-4b12-8aa6-39e661652722", "recipient_email": "herequzug@open-badge.eu", "recipient_first_name": "Cassady", "recipient_last_name": "Long", "metadata": null, "created_at": "2024-07-15T13:22:07.000000Z", "updated_at": "2024-07-15T13:22:07.000000Z", "email_verified_at": null }, { "id": "c161b11f-0bb9-43bf-aa45-4ac5849abd78", "recipient_email": "katerina.ss@open-badge.eu", "recipient_first_name": "Adam", "recipient_last_name": "Smith", "metadata": null, "created_at": "2024-07-15T13:22:07.000000Z", "updated_at": "2024-07-15T13:22:07.000000Z", "email_verified_at": null } ], "created_at": "2024-07-15T13:22:07.000000Z", "updated_at": "2024-07-15T13:22:07.000000Z" } }

Earners List listing

Retrives all lists with users assigned to them.

GET

/api/v1/issuers/organization/earners_lists

Query Parameters

  • type: Retrieve by the type (accepted values imported or list).

  • status: Retrieve by the list status (accepted values enabled or disabled).

  • name: Retrieve by the name of an Earners list.

  • Created_at_after: Retrieve lists created after the specific date.

  • Created_at_before: Retrieve lists created before the specific date.

Response Example

{ "data": [ { "id": "73cc02f1-3173-4e49-b4ba-a6e76bda108f", "name": "Students Culinary 2024", "description": "Facilitated in Paris", "status": "enabled", "type": "list", "earners_count": 5, "created_at": "2024-09-16T15:22:00.000000Z", "updated_at": "2024-09-16T15:29:21.000000Z" }, { "id": "6d136a89-ac84-45b2-8118-6c9fa3077324", "name": "Software Development Mastery [SDM] v2 16\/09\/2024, 12:00:51", "description": null, "status": "enabled", "type": "import", "earners_count": 1, "created_at": "2024-09-16T10:01:30.000000Z", "updated_at": "2024-09-16T10:01:30.000000Z" }, { "id": "34173cfa-15df-465c-9949-15018c950f17", "name": "Web Development Course Completion 16\/09\/2024, 11:48:37", "description": null, "status": "enabled", "type": "list", "earners_count": 1, "created_at": "2024-09-16T09:49:16.000000Z", "updated_at": "2024-09-16T09:49:16.000000Z" }, { "id": "d2cd6a98-c5be-49d3-b952-68098f0a8db0", "name": "English C1 \u2013 Advanced Proficiency 13\/09\/2024, 22:49:07", "description": null, "status": "enabled", "type": "import", "earners_count": 1, "created_at": "2024-09-13T20:49:40.000000Z", "updated_at": "2024-09-13T20:49:40.000000Z" } ], "links": { "first": "https:\/\/openbadges.open-badge.eu\/api\/v1\/issuers\/organization\/earners_lists?page=1", "last": "https:\/\/openbadges.open-badge.eu\/api\/v1\/issuers\/organization\/earners_lists?page=2", "prev": null, "next": "https:\/\/openbadges.open-badge.eu\/api\/v1\/issuers\/organization\/earners_lists?page=2" }, "meta": { "current_page": 1, "from": 1, "last_page": 2, "links": [ { "url": null, "label": "« Previous", "active": false } ], "path": "https:\/\/openbadges.open-badge.eu\/api\/v1\/issuers\/organization\/earners_lists", "per_page": 25, "to": 25, "total": 28 } }

Delete an Earners list

Deletes an existing Earners List

DELETE

/api/v1/issuers/organization/earners_lists/{earners_list_id}

Last modified: 12 November 2024